### Encoding: latin1

### Name: fracsim.1d
### Title: Simulation of 1D fractional and multifractional Lvy motions
### Aliases: fracsim.1d
### Keywords: datagen

### ** Examples

library(FracSim)
# Fractional process
X05 = fracsim.1d(h=0.5,k=1000,n=5000)
plot(X05$t,X05$process,type="l")
# Multifractional process
# h is a k-vector
Hsin = 0.25+0.25*sin(seq(0,1,length=1000)*(6*pi))
Xsin = fracsim.1d(h=Hsin,k=1000,n=5000)
plot(Xsin$t,Xsin$process,type="l")
sint=function(x){0.5+0.5*sin(6*pi*x)}
# h is a function
Xsin2=fracsim.1d(sint,1000,500,1)
par(mfrow=c(2,1))
plot(Xsin2$t,Xsin2$simul.h,type="l")
plot(Xsin2$t,Xsin2$process,type="l")
par(mfrow=c(1,1))



